'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.borderSeperate = borderSeperate;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 用来处理 weex 下，同时有 borderWidth 和 borderTopWidth 时，weex 表现异常的问题
 * @param {object} style
 * @param {array} attrArray 需要修复 border 的哪些属性
 * @return {object} style
 */
function borderSeperate(style) {
  var attrs = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : ['Color', 'Style', 'Width'];

  if (style.border) {
    if (style.border === 'none') {
      style.borderWidth = 0;
    }
    delete style.border;
  }
  attrs.map(function (attr) {
    if (style.hasOwnProperty('border' + attr)) {
      var _attrObj;

      var attrObj = (_attrObj = {}, _defineProperty(_attrObj, 'borderTop' + attr, style['border' + attr]), _defineProperty(_attrObj, 'borderLeft' + attr, style['border' + attr]), _defineProperty(_attrObj, 'borderRight' + attr, style['border' + attr]), _defineProperty(_attrObj, 'borderBottom' + attr, style['border' + attr]), _attrObj);
      var deleteFlag = false;
      ['Top', 'Left', 'Right', 'Bottom'].map(function (direction) {
        if (style.hasOwnProperty('border' + direction + attr)) {
          deleteFlag = true;
          attrObj['border' + direction + attr] = style['border' + direction + attr];
        }
      });
      if (deleteFlag) {
        delete style['border' + attr];
        style = Object.assign({}, attrObj, style);
      }
    }
  });
  return style;
}